RESTinio

Classes | Typedefs | Functions
nonstd::optional_lite::std11 Namespace Reference

## Classes
struct | bool_constant
struct | conditional
struct | conditional< false, T, F >
struct | integral_constant
struct | is_assignable
struct | is_move_constructible
struct | is_nothrow_move_assignable
struct | is_nothrow_move_constructible
struct | is_trivially_copy_constructible
struct | is_trivially_move_constructible

## Typedefs
typedef bool_constant< true > | true_type
typedef bool_constant< false > | false_type

## Functions
template<typename T >
T & | move (T &t)

## Typedef Documentation

## ◆ false_type

typedef bool_constant< false > nonstd::optional_lite::std11::false_type

Definition at line 460 of file optional.hpp.

## ◆ true_type

typedef bool_constant< true > nonstd::optional_lite::std11::true_type

Definition at line 459 of file optional.hpp.

## Function Documentation

## ◆ move()

template<typename T >

T & nonstd::optional_lite::std11::move | ( | T & | t | ) |

Examples
  sample/async_handling_with_sobjectizer/main.cpp, sample/chained_handlers/main.cpp, sample/express_router/main.cpp, sample/extra_data_factory/main.cpp, sample/hello_world_delayed/main.cpp, sample/hello_world_https/main.cpp, sample/hello_world_sendfile_https/main.cpp, sample/ip_blocker/main.cpp, sample/query_string_params/main.cpp, sample/tls_inspector/main.cpp, sample/try_parse_query_string/main.cpp, sample/websocket_detailed/main.cpp, and sample/websocket_wss/main.cpp.

Definition at line 465 of file optional.hpp.